Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::v3::view::enumerate_fn Struct Reference

## Description

Lazily pairs each element in a source range with its corresponding index.

## Synopsis of methods
constexpr view< enumerate_fn > | enumerate {}

## Public Member Functions
| all (static_cast< Rng && >(rng))))
template<typename Rng , requires = (ViewableRange<Rng>())>
auto | operator() (Rng &&rng) const -> decltype(zip(iota(range_difference_type_t< Rng >